Subject: [PATCH v6 04/13] clk: qcom: gdsc: Manage clocks with !CONFIG_PM

From: [email-masked] (Stephen Boyd)
Date: Wed, 29 Jul 2015 17:13:57 -0700

On 07/29, Rajendra Nayak wrote:
> 
> On 07/29/2015 06:34 AM, Stephen Boyd wrote:
> >
> >Sorry, I read the thread and I tried to understand what was going on but
> >I'm still lost. Can you clarify further in the commit text somehow?
> 
> So I can add this in the commit text, if it seems fine
> 
> "The use of pm_clk_add_notifier() isn't appropriate here since we need
> to only manage clocks with valid power domain associations done via
> DT, instead of what pm_clk_add_notifier() does, which is manage clocks
> for all on SoC/off SoC devices associating all of them to a dummy
> power domain instead"
> 

Yes that's good, thanks. But I still wonder why the code isn't
generic so that we don't have lots of drivers duplicating the
same logic. I guess we can consolidate another day.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project